# $Revision: 1.40 $, $Date: 2011/03/01 06:28:33 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Template
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_IT

Summary:	%{_pearname} - Integrated Templates
Summary(pl.UTF-8):	%{_pearname} - zintegrowane szablony
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	2
License:	Modified BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	cbd2fcffd32a39da7b260397156bddbb
URL:		http://pear.php.net/package/HTML_Template_IT/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-HTML_Template_IT-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq 'pear(Console_TestListener.php)' 'pear(IT_api_testcase.php)' 'pear(IT_usage_testcase.php)'

%description
HTML_Template_IT: Simple template API. The Isotemplate API is somewhat
tricky for a beginner although it is the best one you can build.
template::parse() [phplib template = Isotemplate] requests you to name
a source and a target where the current block gets parsed into. Source
and target can be block names or even handler names. This API gives
you a maximum of fexibility but you always have to know what you do
which is quite unusual for PHP skripter like me. I noticed that I do
not any control on which block gets parsed into which one. If all
blocks are within one file, the script knows how they are nested and
in which way you have to parse them. IT knows that inner1 is a child
of block2, there's no need to tell him about this. Features:
 - Nested blocks,
 - Include external file,
 - Custom tags format (default {mytag}).

HTML_Template_ITX: With this class you get the full power of the
phplib template class. You may have one file with blocks in it but you
have as well one main file and multiple files one for each block. This
is quite useful when you have user configurable websites. Using blocks
not in the main template allows you to modify some parts of your
layout easily.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_Template_IT - proste API do szablonów. API Isotemplate (template
z phplib) jest nieco zawiłe dla początkujących, ale jest najlepszym
jakie można uzyskać. template::parse() wymaga nazwania źródła i celu,
do którego przetworzony będzie aktualny blok. Źródło i cel mogą być
nazwami bloków lub nawet nazwami funkcji obsługujących. To API daje
maksymalną elastyczność, ale wymaga zawsze wiedzy, co się robi, co nie
jest normalnym stanem dla niektórych autorów skryptów PHP, takich jak
autor tego modułu. Zauważył on, że nie potrzebuje żadnej kontroli,
który blok zostaje przetworzony na który. Jeżeli wszystkie bloki są w
jednym pliku, skrypt wie, jak są zagnieżdżone i w jaki sposób powinny
zostać przetworzone. IT wie, że inner1 jest potomkiem block2, nie ma
potrzeby podawania mu tych informacji. Możliwości:
 - zagnieżdżone bloki,
 - dołączanie zewnętrznych plików,
 - własny format znaczników (domyślnie {mytag}).

HTML_Template_ITX - ta klasa daje całą siłę klasy szablonów z phplib.
Można mieć jeden plik z blokami, ale można także mieć jeden główny
plik i wiele plików zawierających po jednym bloku. Jest to przydatne,
aby pozwolić użytkownikowi na konfigurowalne serwisy. Przez użycie
bloków spoza głównego szablonu pozwala się na łatwe modyfikowanie
niektórych części wyglądu.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Template_IT.spec,v $
Revision 1.40  2011/03/01 06:28:33  glen
- release 2

Revision 1.39  2011/01/23 01:03:13  sparky
- dropped -tests subpackage

Revision 1.38  2010/08/20 12:59:26  glen
- updated to: 1.3.0

Revision 1.37  2008/01/31 12:16:07  glen
- rel 2

Revision 1.36  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.34  2006/09/04 10:03:57  adamg
- license fix

Revision 1.33  2006/09/02 17:40:29  adamg
- updated to 1.2.1

Revision 1.32  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.31  2006/04/24 10:07:29  adamg
- updated to 1.1.4

Revision 1.30  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.29  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.28  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.27  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.26  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.25  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.24  2005/11/03 22:18:30  glen
- 1.1.3

Revision 1.23  2005/10/30 23:06:26  glen
- 1.1.2

Revision 1.22  2005/10/05 20:11:06  glen
- rel 3

Revision 1.21  2005/09/21 20:01:46  glen
- fix deps for -tests

Revision 1.20  2005/09/21 09:30:18  glen
- new pear packaging (tests subpackage created); rel 2

Revision 1.19  2005/08/27 08:13:15  qboosh
- really updated to 1.1.1

Revision 1.18  2005/08/22 12:11:35  adamg
- *** empty log message ***
[partially updated to 1.1.1]

Revision 1.17  2004/12/03 22:12:19  adamg
- rebuild with new PEAR provides/requires scripts
- release 3

Revision 1.16  2004/10/30 07:07:26  paladine
- unifications

Revision 1.15  2004/10/18 07:45:32  jajcus
- Requires: php-pear-PEAR (fix for bug #912)

Revision 1.14  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.13  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.12  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.11  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.10  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.9  2003/05/28 08:58:37  adamg
- massive attack: added source0-md5

Revision 1.8  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/01 19:23:03  blues
- reverted (almoust) last change - this was mistake on pear server (sources
  are from another class)

Revision 1.6  2003/02/01 19:15:23  blues
- 1.1.1 - stable release, added cosmetic patch. STBR to Ra updates general

Revision 1.5  2002/10/14 23:42:41  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.4  2002/09/16 16:24:13  qboosh
- pl description, release 2

Revision 1.3  2002/09/13 12:13:46  blues
- 1.0.0 stable - STBR (dunno if it shouldn't have Epoch now :-/)

Revision 1.2  2002/09/07 06:12:09  blues
- release 2 - removed dir entry from package

Revision 1.1  2002/09/01 12:14:34  blues
- initial release (beta) - STBR
